Subject: Re: bcm43xx: "transmit timed out" and apparent hang with "preemptible periodic work" patches

From: Michael Buesch <[email-masked]>
Date: Thu, 29 Jun 2006 17:07:54 +0200

On Thursday 29 June 2006 10:24, Paul Collins wrote:
> Michael Buesch <[email-masked]> writes:
> 
> > On Monday 26 June 2006 14:43, Michael Buesch wrote:
> >> Try to get more logs.
> >> I suggest to do a netconsole for logging.
> >
> > Also note that current softmac trees have a patch missing.
> > It seems it got lost somewhere after my merge request.
> > I already contacted John in private for this, but no reply, yet.
> > The patch is attached. Maybe it fixes your issue.
> 
> On a preempt kernel I can trigger the hang easily,

How? I need to reproduce it to get a clue and fix it. :)
I have no idea where it might come from (I don't even know
what exactly happens).

And please provide a _full_ dmesg log without comments inbetween
after triggering the hang (with a full Controller Restart cycle).

-- 
Greetings Michael.